/*****************************************************************************
 *   tmrtest.c:  main C entry file for NXP LPC2xxx Family Microprocessors
 *
 *   Copyright(C) 2006, NXP Semiconductor
 *   All rights reserved.
 *
 *   History
 *   2006.09.01  ver 1.00    Prelimnary version, first Release
 *
******************************************************************************/
#include "LPC288x.h"                        /* LPC2xxx definitions */
#include "type.h"
#include "target.h"
#include "irq.h"
#include "timer.h"

extern DWORD timer_counter;

/*****************************************************************************
**   Main Function  main()
*****************************************************************************/
int main (void)
{	    		
  TargetResetInit();
  init_timer( TIMER_1SECS );

  MODE1S_2=0xF;
  while(1)			/* Loop forever */ 
  {				
	if ( timer_counter & 0x01 ) {
	  MODE0S_2 = 0x1<<1;
	}
	else {
	  MODE0C_2 = 0x1<<1;
	}
  }
  return 0;
}

/*****************************************************************************
**                            End Of File
******************************************************************************/
